$(document).ready(function() {
    var beforeSendMessage2 = '正在加载,请稍候...';
   // var ErrorMessage = '<span class="red">对不起,请求错误.请检查您的服务设置或者程序配置.</span>';

    //绑定大类下的小类
    $('#bigSort').change(function() {
       // $('#SelArea').attr('disabled', 'disabled');
        AjaxRequstFn2('bigSort', 'smallSort', 'da_taskSort');
    });
    //绑定城市下的地区
   /* $('#SelCity').change(function() {
        AjaxRequstFn('SelCity', 'SelArea', 'area');
    });
    //选择地区后给文本框赋值
   /* $('#SelArea').change(function() {
        //获取ID为GetArea下的下拉菜单选中的值
        var GetText = $('#GetArea > select option:selected').text();
      //  $('#txtArea').val(GetText);
    });*/
    function AjaxRequstFn2(FID, id, tableName) {
        $.ajax({
            type: 'GET',
            url: '/public/getTskClass.ashx',
            processData: false,
            dataType: 'text',
            data: 'id=' + escape($('#' + FID).val()) + '&type=' + tableName,
            beforeSend: function(XMLHttpRequest) {
                $('#' + id).html(beforeSendMessage2);
            },
            success: function(data2, textStatus2) {
                FormatData2(data2, id); //格式化字符串
            },
            complete: function(XMLHttpRequest, textStatus2) {
            },
            error: function(XMLHttpRequest, textStatus2, errorThrown) {
               // $('#showResult').html(ErrorMessage);
            }
        });
    }
});
//格式化字符串
function FormatData2(data2, id) {
    var items = data2.split('$');
    var value = '';
    var text = '';
    for (var i = 0; i < items.length; i++){
		var item2=items[i].split('|');
		value = item2[0];
		text = item2[1];
		$('#' + id).append('<option value="' + value + '">' + text + '</option>');
    }
    $('#' + id).removeAttr('disabled');
}